package org.gcube.portlets.user.geoportaldataviewer.shared.gis;

import java.io.Serializable;

/**
 * The Class FeatureGeoemtry.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Oct 29, 2020
 */
public class FeatureGeometry implements Serializable{
	
	String type;
	String coordinates;
	
	public FeatureGeometry() {
	}
	
	public FeatureGeometry(String type, String coordinates) {
		super();
		this.type = type;
		this.coordinates = coordinates;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getCoordinates() {
		return coordinates;
	}

	public void setCoordinates(String coordinates) {
		this.coordinates = coordinates;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("FeatureGeometry [type=");
		builder.append(type);
		builder.append(", coordinates=");
		builder.append(coordinates);
		builder.append("]");
		return builder.toString();
	}
	
	
	

}
